# Welche Nutzungsmöglichkeiten haben freie Programme?
Beim Kirchentag 2023 in Nürnberg war ich für den Verein LUKi e.V.
am Stand und wurde in  Gesprächen öfter gefragt,
,*Was bedeutet es denn, in den Kirchen freie Software zu nutzen?  
Haben dann alle Mitarbeitenden einer Gemeinde Linux auf ihren PC's?*'

Dann galt es, den Blick zu weiten auf die vielen freien Anwendungen,
für die im Grunde das Wort Linux im Vereinnamen steht.

Es gibt da manches sehr bewährte. Z.B. nutze ich seit gut 35 Jahren TeX/LaTeX für meine Aufgaben in der Textverarbeitung.
Zu Beginn war es die Möglichkeit, schöne Briefe zu schreiben, zu einer Zeit in der
Programme wie Word erst in den Startlöchern standen.
Die Anfänge von LibreOffice gehen z.B. in der Jahr 1985 zurück.

In den letzten Jahren meines Berufslebens in den Gemeinden hat sich noch weiteres Potential dieser Software gezeigt. Man kann damit relativ einfach existierende Layouts von Publikationen nachbauen. In dem Fall, der für diesen Blog als Beispiel dienen soll, hatte die Gemeinde durch die Kooperation mit einer Ausbildungseinrichtung ein Layout für ein Prospekt zu einem Projekt geschenkt bekommen. Da dieses Projekt, ein Familienzentrum, in den Regelbetrieb überführt werden konnte, wurde nun eine regelmäßige Neuauflage dieses Prospekts nötig.

Alle halbe Jahre galt es die Aktivitäten dieses Familienzentrums durch ein Prospekt zu bewerben. Die Schüler dieser Berufsschule hatten das Layout dieser Broschüre in InDesign erstellt. Für die Gemeinde war es nicht darstellbar, für ein Druckerzeugnis, welches nur 2x jährlich anfällt, ein Abo für diese komplexe Software zu erwerben. So standen wir vor der Frage, ob wir die Prospekterstellung an eine Agentur vergeben oder das Prospekt mit anderen Mitteln nachbauen.

Mein Vorgehen nutzt eine Standardinstallation von  TeX/LaTeX. Insbesondere die Erweiterungen von PSTricks sowie einige Pakete zum Umgang mit PDFs werden benötigt. 

## Erste Lösungsebene
Um den Ansatz des Nachbaus zu beschreiben, lohnt sich ein Blick auf das Layout des Prospekts.
Hier eine Beispieldoppelseite:

Wichtige Elemente für den Nachbau

- das Format der Einzelseiten ist DinA5 hoch
- am unteren Rand der Doppelseite gibt es ein Schmuckelement 
- dieses Schmuckelement hat bei jeder Neuauflage eine andere Farbe
- die Überschriften im Prospekt haben die Farbe des Schmuckelements
- das Schmuckelement geht über die ganze Seite
- an Hand der Farbe des Schmuckelements sind die Prospekte gut auseinander zu halten

## Schritte des Nachbaus
Mit Hilfe des Pakets PSTricks wird das Schmuckelement angenähert

Der entsprechende LaTeX-code ist in der Datei RahmenGenerieren.tex 

Wird diese Datei entsprechend bearbeitet entsteht ein PDF, aus dem das Schmuckelement genommen werden kann.

Die bestehenden Seiten des Prospekts werden zu einem Booklet zusammen geführt und dabei wird das Schmuckelement hinzugefügt.

Wenn der Nachbau hier aufhört, dann müssen die Seiten des Prospekts mit einem weiteren Programm, z.B. LibreOffice erstellt werden, in ein PDF überführt und dann mit Hilfe der Datei BookletFZ.tex in die Druckvorlage umgewandelt werden, die dann das Layout mit dem Schmuckelement aufweist.

## Weitere Vorteile entstehen, bei weitergehender Nutzung von TeX
TeX/LaTeX erlaubt die Beschreibung des Inhaltes gut so zu organisieren,
dass der Aufwand für die Neuauflage ziemlich gering ist. Das ist ein Verdienst des Zugangs dieses Satzsystems, welches nicht Wsiwig ist, also *what you see is what you get*
sondern eine Abstraktion des Dokumentes, die dann durch einen Übersetzungslauf / Prozessing in ein entsprechendes PDF umgewandelt wird.

Dazu hilft die Erweiterungsmöglichkeit der Sprache durch Makros
und es gibt umfangreiche Möglichkeiten, mit PDFs etwas zu machen.


Es gibt 2 Sorten von Überschriften, die sich in der Art des Fonts unterscheiden

Jede Aktivität ist in einer eigenen Datei abgelegt.
Es gibt dann nach der Überschrift zuerst eine Beschreibung
gefolgt von einer Liste mit entsprechenden Rubriken.

Das Masterdokument, welches dann ja jedes halbe Jahr neu bearbeitet werden muss
erlaubt Aktivitäten, die nur einmal jährlich auftauchen, ggf auszukommentieren.

Im Prospekt gibt es, um sich besser zurecht zu finden, ein Inhaltsverzeichnis und eine chronologische Sortierung der Aktivitäten.

Für die chronologische Sortierung wird die Fähigkeit von TeX genutzt,
während eines Bearbeitungslaufes weitere Dateien erstellen zu können 
mit Informationen zu der aktuellen Seite.

## Workflow der Erstellung ausschließlich mit TeX
1. Bilder werden in einem Ordner abgelegt. Oft werden sie in einer Auflösung geliefert, die deutlich umfangreichere Dateien nach sich zieht, als es für diese Anwendung nötig ist.  Daher werden die Bilder bei diesem Schritt ggf. auch etwas bearbeitet. (Das geschieht mit weiteren Programmen, die hier nicht beschrieben werden).
2. Wenn alle Änderungen an Terminen etc. eingearbeitet sind, wird eine Version zum Korrekturlesen erstellt. Es gibt einige Makros um wiederkehrende Elemente zu vereinfachen. Genauere Details sind im Kopf der Datei ProgrammFZ.tex zu erkennen. Bilder können auch so positioniert werden, dass diese in das Schmuckelement hereinragen...
3. Diese Korrekturvorlage geht als DinA5 Dokument an die betreffenden Anbieter / Verantwortlichen der Aktivitäten Rückmeldungen werden dann eingearbeitet. Das Schmuckelement fehlt in der Korrekturvorlage noch
4. Dann wird der Abschnitt mit den Verweisen zu den aktuellen Seiten eingebunden, also die Datei TerminFZ.tex mit den Einträgen aus der Hilfsdatei ProgrammFZ.aux, die es zu sortieren und etwas umzuändern gilt, fortgeschrieben. Dabei wird das Makro \Termine eingesetzt, auch um den Aufwand beim Editieren gering zu halten. Die Inhaltsübersicht wird manuell angepasst (dafür lohnt sich der Programmieraufwand nicht)
5. Im letzten Verarbeitungsschritt, der Anordnung der DinA5 Blätter auf die DinA4 Druckvorlage, wird das Layout nachgebaut. Die entsprechenden Befehle sind in der Datei BookletFZ abgelegt.
6. Eine weitere Herausforderung ist die Übernahme der aktualisiereten Daten in das CMS der Homepage. Dabei hilft, wenn das Prospekt auch im HTML-Format vorliegt. Dazu gibt es im Umfeld von LaTeX auch Werkzeuge, die da unterstützen. Ein möglicher Zugang (über TeX4ht) ist in der Datei ProgrammFZhtml.tex abgelegt.



